

/* led.h
 * Routines for the LCD panels
 *
 * by Clemens Helfmeier
 * 5/2006
 */

#ifndef _LED_H_
#define _LED_H_

#include <inttypes.h>

#define led_Size	5

#define led_DecimalPoint	0x80

/* this variable holds the value of the light
 * 0 means "off"
 * 1 and above means increasing illumination
 * 20040 is maximum
 */
void led_setLight( uint16_t light );


/* put the specified character c to the display
 * at position pos
 * returns 0 on success, any other value on failure
 */
uint8_t led_putHex( uint8_t pos, uint8_t c, uint8_t dp );

/* put the specified number i to the display
 * at position pos and pos+1 
 * returns 0 on success, any other value on failure
 */
uint8_t led_putDec( uint8_t pos, uint8_t i, uint8_t dp );

/* must be called to initialize the LED-module.
 * this starts the interrupt and configures data spaces
 * and io-pins.
 */
void led_init( void );

/*
void led_nextDigit( void );
void led_digitOff( void );
*/

#endif
